module.exports = function( grunt )
{
    // require it at the top and pass in the grunt instance
    require( 'time-grunt' )( grunt );

    // Project configuration.
    grunt.initConfig( {
        pkg : grunt.file.readJSON( 'package.json' ),

        // RUN-Tasks
        run   : {
            npmInstall : {
                exec : "npm install"
            }
        }, // CLEAN-Tasks
        // SASS-Tasks
        sass  : {
            options     : {
                //lineNumbers: true,
                loadPath : 'node_modules'
            },
            css_src     : {
                options : {
                    // cacheLocation : '_cache/',
                    // noCache       : true,
                    // style         : 'nested', // nested, compact, compressed, expanded
                    // sourcemap     : 'file' // auto, file, inline, none
                },
                files   : {
                    'src/components/pitaya-app-view.min.css' : 'src/components/pitaya-app-view.scss',
                    'src/components/pitaya-view.min.css' : 'src/components/pitaya-view.scss'
                }
            },
            css_src_min : {
                options : {
                    // cacheLocation : '_cache/',
                    // noCache       : true,
                    // style         : 'compressed', // nested, compact, compressed, expanded
                    // sourcemap     : 'none' // auto, file, inline, none
                },
                files   : {
                    'src/components/pitaya-app-view.min.css' : 'src/components/pitaya-app-view.scss'
                }
            }
        }
    } );

    // Load plugins:
    grunt.loadNpmTasks( "grunt-contrib-clean" );
    grunt.loadNpmTasks( 'grunt-contrib-sass' );
    grunt.loadNpmTasks( "grunt-run" );

    // HELP TASKS
    // =============
    // RUN-Tasks
    grunt.registerTask( "npm-install", [ "run:npmInstall" ] ); // grunt npm-install

    // SASS-Tasks
    // CSS Nicht minimiert mit css.map
    grunt.registerTask( 'sass-css', [ 'sass:css_src' ] ); 	// grunt sass-css
    // CSS minimiert ohne css.map
    grunt.registerTask( 'sass-css-min', [ 'sass:css_src_min' ] ); // grunt sass-css-min
    grunt.registerTask( 'sass-css-all', [ 'sass:css_src', 'sass:css_src_min' ] ); // grunt sass-css-all
};

// grunt sass-css
// grunt sass-css-min
// grunt sass-css-all