import Dexie                      from "dexie/dist/dexie";
import { PitayaAppConfiguration } from "../app-configuration";
import { IStorage, IUser }        from "./indexed-db.d";

class PitayaIndexedDbImpl extends Dexie
{
	public static readonly NAME: string = "pitayaDB";

	public storage: Dexie.Table<IStorage, number>;
	public users: Dexie.Table<IUser, number>;

	constructor()
	{
		super( PitayaIndexedDbImpl.NAME );

		this.version( 1 ).stores( {
			storage : `++${PitayaAppConfiguration.Database.storageIdFieldName}, ${PitayaAppConfiguration.Database.userNameFieldName}`,
			users   : `++${PitayaAppConfiguration.Database.userIdFieldName}, ${PitayaAppConfiguration.Database.userNameFieldName}`,
		} );
	}
}

export const PitayaIndexedDb = new PitayaIndexedDbImpl();